Im unable to understand the solution logic of codeforces div2 664 problem c. http://codeforces.me/contest/1395/problem/C
| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | Kevin114514 | 3659 |
| 3 | jiangly | 3640 |
| 4 | turmax | 3450 |
| 5 | tourist | 3382 |
| 6 | strapple | 3360 |
| 7 | Um_nik | 3354 |
| 8 | squareOf105 | 3348 |
| 9 | maroonrk | 3312 |
| 10 | idontwannadothis…e | 3191 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 158 |
| 2 | nik_exists | 151 |
| 3 | maspy | 149 |
| 4 | AmShZ | 144 |
| 5 | Um_nik | 143 |
| 6 | Errichto | 139 |
| 7 | adamant | 136 |
| 8 | BledDest | 133 |
| 9 | maroonrk | 132 |
| 10 | Proof_by_QED | 131 |
Im unable to understand the solution logic of codeforces div2 664 problem c. http://codeforces.me/contest/1395/problem/C
| Name |
|---|



Brute force the solution since 2^9 = 512. Test every a & b with each of these numbers to see if they match with the number, and pick the smallest of these numbers.
Let us take this as an example: $$$ n = 4 , m = 2$$$
$$$a = [2 , 6 , 4 , 0]$$$
$$$b = [2, 4]$$$
let us build all possible $$$&$$$ using two for loops.
this will create a 2D $$$4 \times 2$$$ table:
Now let us rephrase the problem, you need to pick exactly $$$1$$$ element from each row and make the operation $$$or$$$ between them. Find the minimum $$$or$$$ value.
Here where the dp comes in. since the constraints are low, the problem is doable using DP. where the states of the dp are: curRow, curCol, curOrValue
Hope that will help you!
Anyone can help how this problem can be done by DP?
see here